Spotify para Debian / Ubuntu e derivados

2013-10-25-185227_1280x800_scrot

Lembre que o versión en liña de Spotify e tamén podes probalo Clementine, un xogador que está a golpear con forza, polo que se precisa unha conta Premium para este último

Se o que quere é probar o cliente spotify para Linux Aquí tes as instrucións. A pesar do que din Spotify, probei este cliente en Debian, Ubuntu, Linux Mint e outros, sen ningún problema. 

1) Engade o repositorio a fontes.lista

Editeino con nano, usas o teu editor favorito como Gedit, Pen, Leafpad, etc.

sudo nano /etc/apt/sources.list

Engadimos a seguinte liña.

deb http://repository.spotify.com stable non-free

Gardamos e pechamos.

2) Engadimos a clave pública.

sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 94558F59

3) Actualizamos o repositorio.

sudo apt-get update

4) Instalamos o cliente spotify.

sudo apt-get install spotify-client

E iso é todo.


O contido do artigo adhírese aos nosos principios de ética editorial. Para informar dun erro faga clic en aquí.

33 comentarios, deixa os teus

Deixa o teu comentario

Enderezo de correo electrónico non será publicado. Os campos obrigatorios están marcados con *

*

*

  1. Responsable dos datos: Miguel Ángel Gatón
  2. Finalidade dos datos: controlar SPAM, xestión de comentarios.
  3. Lexitimación: o seu consentimento
  4. Comunicación dos datos: os datos non serán comunicados a terceiros salvo obrigación legal.
  5. Almacenamento de datos: base de datos aloxada por Occentus Networks (UE)
  6. Dereitos: en calquera momento pode limitar, recuperar e eliminar a súa información.

  1.   Daniela Riano dixo

    Unha pregunta
    O programa funciona independentemente de se un ten ou non unha conta?
    Agora, se funciona cunha conta, podo creala sendo de Colombia?
    Porque entendo que non é válido para os de Colombia.

    1.    neysonv dixo

      1) precisas unha conta, crearase ligando con Facebook
      2) en Colombia non está dispoñible aínda que cun proxy estou MOI seguro de que poderá usar o servizo sen problemas. que se tes que usar a versión en liña, no caso do cromo executaríase desde o terminal
      cromo-navegador –proxy-server = host: porto
      por exemplo, tente isto
      navegador-cromo –proxy-server = 66.35.68.145: 3127
      nesta páxina tes unha boa lista de proxies

  2.   escéptico dixo

    Instalado Ubuntu 13.10 funciona perfectamente = D

  3.   edebianita dixo

    Probando en Crunchbang a consola lanzou:
    <>

    Resolvino descargando o paquete de:
    http://ftp.us.debian.org/debian/pool/main/o/openssl/libssl0.9.8_0.9.8o-4squeeze14_i386.deb

    E agora vexo os seus pros e contras ... Aínda que levo máis dun ano namorado de Guayadeque.

    1.    tuxxx dixo

      O mesmo ocorre en Debian, o paquete libssl0.9.8 só se atopa en squeeze, sería recomendable engadir os datos ao artigo, xa que sen esta dependencia non se pode instalar spotify.

      lembranzas

    2.    neysonv dixo

      Ben, terei que probar guayadeque para ver como é XD. grazas polo aviso

  4.   Richard dixo

    Non me estás a enganar ... usas unha VPN para usar Spotify 😛

    1.    eliotime3000 dixo

      Spotify apenas chegou a México. Noutros países latinoamericanos, temos que usar VPN.

      1.    Ivan dixo

        E agradécese que isto en México haha ​​...
        Moi boa aplicación para pasar o rato, só precisa chegar a outros lugares ñ.ñ

    2.    neysonv dixo

      Vivo en España, non o necesito XD

  5.   eliotime3000 dixo

    E Ubuntu One? Non, grazas.

    1.    Richard dixo

      Aínda prefiro Grooveshark

      1.    pandev92 dixo

        Grooveshark é un desastre e non ten cliente ...

  6.   pablo dixo

    Con Audacious estou cómodo. 🙂

  7.   freebsddick dixo

    Parece interesante !!

  8.   Ola dixo

    interesante, hai algunha versión inestable do repositorio? Teño sid para o que me dá problemas de dependencia

    1.    neysonv dixo

      Non está nos repositorios oficiais, de feito é por iso que ten que engadir un repositorio externo

  9.   entalhe dixo

    Bo post!

  10.   Xesús Israel Perales Martínez dixo

    En fedora funciona moi ben: B

  11.   Xesús Israel Perales Martínez dixo

    En fedora funciona moi ben, xa que en ubuntu a debian non o quero eliminar do xD estable

  12.   Pero dixo

    O único problema que ten Spotify para Linux é a radio. Polo menos na distribución que o probei (Ubuntu), a radio non funciona. Se non, perfecto.

    Cando nomeas Clementine, pregúntome por ignorancia: como funciona Spotify con ese reprodutor?

    Saúdos!

  13.   Rolly dixo

    Fixen as instrucións pero ao intentar instalalo recibo "Non se puido localizar o paquete spotify-cliente"

    1.    rodrigo lopez dixo

      Ola, xa podería instalalo

      O erro "Non se puido localizar o paquete spotify-client" cando se executaba no terminal "sudo apt-get install spotify-client" débese a que o ficheiro aparentemente xa non está no repositorio, polo menos para sistemas de 32 bits

      Buscando en todas partes no foro oficial de Spotify (https://community.spotify.com/t5/Help-Desktop-Linux-Mac-Windows/Spotify-0-9-17-for-GNU-Linux-and-the-upcoming-1-x-beta/m-p/1134552#M125970) Dannos dúas ligazóns para descargar un cliente para a aplicación, as ligazóns directas son:
      http://megasearch.co.nz/438086/spotify-client0-9-4-183-g644e24e-428-1i386-deb
      http://sourceforge.net/projects/slackbuildsdirectlinks/files/spotify32/spotify-client_0.9.4.183.g644e24e.428-1_i386.deb/download

      Con iso descargas o cliente, para instalalo uso o comando: sudo dpkg –i spotify-client_0.9.4.183.g644e24e.428-1_i386.deb

      Ao executar Spotify na consola e este envíame o erro (se o executas desde a icona, a aplicación simplemente non se inicia):
      "Spotify: erro ao cargar as bibliotecas compartidas: libgcrypt.so.11: non se pode abrir o ficheiro de obxectos compartidos: Non existe ese ficheiro ou directorio"

      Afortunadamente a solución deste erro atópase na propia páxina de Debian, o ficheiro pódese descargar desde:
      https://packages.debian.org/wheezy/i386/libgcrypt11/download

      Instálao do seguinte xeito: sudo dpkg –i libgcrypt11_1.5.0-5 + deb7u3_i386.deb

      Con iso, tiro Spotify no meu Debian 8 de 32 bits

      No meu caso todo funcionou correctamente

      Espero que axude porque é un problema recorrente para todos os que instalamos Linux en 32 bits

      rodrigo lopez

  14.   Mauro dixo

    Moi boa contribución, grazas! E grazas tamén a quen comentou a dependencia non cumprida.

  15.   unatalana dixo

    Pasoume o mesmo que rolly

    1.    rodrigo lopez dixo

      Puxen a solución na pregunta de Rolly, espero que che axude

      rodrigo lopez

  16.   basajaun dixo

    Vaia. Intentei instalalo nun lmde2 "betsy" e no último paso,
    dime
    E: non se puido localizar o paquete spotify-client

    facer "apt update" mostra o repositorio spotify na lista.
    ¿Sabes por que pode ser?

  17.   Alemán dixo

    Ola! O artigo foi moi bo, puiden instalalo e funciona moi ben no meu Debian 8 ... (aquí vén pero) ... Aparentemente teño problemas coa clave pública. O erro salta a min cando fago unha actualización de aptitude, déixoo a continuación:

    W: Produciuse un erro durante a verificación da sinatura. O repositorio non está actualizado e empregaranse os ficheiros de índice antigos. O erro GPG é: http://repository.spotify.com InRelease estable: non se puideron verificar as seguintes sinaturas porque a súa clave pública non está dispoñible: NO_PUBKEY 13B00F1FD2C19886

    W: erro GPG: http://ppa.launchpad.net Liberación precisa: non se puideron verificar as seguintes sinaturas porque a súa clave pública non está dispoñible: NO_PUBKEY A6DCF7707EBC211F
    W: Fallou a descarga http://repository.spotify.com/dists/stable/InRelease:
    W: Non se puideron descargar algúns ficheiros de índice. Ignoráronse ou empregáronse outros antigos.

    Perdón pola miña ignorancia non, polo que entendo, isto impide que Spotify se actualice non? Aclaro que seguín o tutorial na parte inferior, é dicir, engadín a clave pública que está arriba. É posible que cambie un contrasinal? e se é así, hai algún lugar onde poña o nome do paquete (por así dicilo) e me dea a clave?

    Grazas de antemán! Ánimo!

      1.    linux 2 dixo

        Solucionouse un problema coa ligazón
        nova clave para o repositorio e estamos ben

        Grazas!

  18.   xuconta dixo

    spotify: /lib/x86_64-linux-gnu/libc.so.6: versión GLIBC_2.14' not found (required by spotify)
    spotify: /lib/x86_64-linux-gnu/libc.so.6: version
    GLIBC_2.14 ′ non atopado (requirido por /opt/spotify/spotify-client/Data/libcef.so)
    spotify: /lib/x86_64-linux-gnu/libc.so.6: non se atopou a versión `GLIBC_2.15 ′ (requirida por /opt/spotify/spotify-client/Data/libcef.so)

    1.    xuconta dixo

      Teño o anterior, que fago ???

  19.   mig dixo

    unha vez que o instalo correctamente, onde se garda o spotify?